Bug 1251907 - [Debian] cpopen doesn't build in pbuilder
[Debian] cpopen doesn't build in pbuilder
Status: CLOSED CURRENTRELEASE
Product: ovirt-distribution
Classification: oVirt
Component: python-cpopen (Show other bugs)
python-cpopen-1.4.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.1
: python-cpopen-1.4.0
Assigned To: Yaniv Bronhaim
Pavel Stehlik
: BuildBlocker
Depends On:
Blocks: 1163069
  Show dependency treegraph
 
Reported: 2015-08-10 05:30 EDT by Sandro Bonazzola
Modified: 2016-02-10 03:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:59:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ybronhei: ovirt‑3.6.z?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 37926 None None None Never
oVirt gerrit 49199 None None None Never

  None (edit)
Description Sandro Bonazzola 2015-08-10 05:30:35 EDT
Build fails with:

dh clean --with python2 --buildsystem=pybuild
   dh_testdir -O--buildsystem=pybuild
   dh_auto_clean -O--buildsystem=pybuild
dh_auto_clean: unable to load build system class 'pybuild': Can't locate Debian/Debhelper/Buildsystem/pybuild.pm in @INC (you may need to install the Debian::Debhelper::Buildsystem::pybuild module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/x86_64-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at (eval 3) line 2.
BEGIN failed--compilation aborted at (eval 3) line 2.
Comment 1 Sandro Bonazzola 2015-10-01 03:45:48 EDT
Patches have been sent a while ago, please review / merge
Comment 2 Oved Ourfali 2015-10-25 07:04:43 EDT
Yaniv - was a build with it released?
Comment 3 Yaniv Bronhaim 2015-10-25 08:18:38 EDT
No. However, the fix was merged and part of python-cpopen tag 1.4.1 - but I haven't published cpopen-1.4.1 yet so this why its on MODIFIED. Latest python-pthreading build is 1.3.3. we still don't have fixes that worth new build.
Comment 4 Red Hat Bugzilla Rules Engine 2015-11-26 23:24:40 EST
This bug is marked for z-stream, yet the milestone is for a major version, therefore the milestone has been reset.
Please set the correct milestone or drop the z stream flag.
Comment 5 Red Hat Bugzilla Rules Engine 2015-11-26 23:24:40 EST
Fixed bug tickets must have target milestone set prior to fixing them. Please set the correct milestone and move the bugs back to the previous status after this is corrected.
Comment 6 Red Hat Bugzilla Rules Engine 2015-11-26 23:24:40 EST
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 7 Pavel Stehlik 2016-02-10 03:59:16 EST
Closing older BZs, if still happened, please reopen.

Note You need to log in before you can comment on or make changes to this bug.